{{!-- {{log "party-tracker.hbs" this}} --}}
<section class="tab sidebar-tab directory flexcol" id="party" data-tab="party">
    <div class="party-tracker directory-list">
        <nav style="padding-bottom: 1px;" class="party-commands time general-header">
            <div class="flexrow">
                <a class="boxed party-longrest" data-tooltip="Long rest for party">
                    <div class="time-type">
                        <i class="fas fa-campground"></i>
                        {{localize "ARS.time.longrest"}}
                    </div>
                </a>
                <a class="boxed time-round1" data-tooltip="Advance time by round">
                    <div class="time-type">
                        <i class="fas fa-stopwatch"></i>
                        {{localize "ARS.time.round"}}
                    </div>
                </a>
                <a class="boxed time-turn1" data-tooltip="Advance time by turn">
                    <div class="time-type">
                        <i class="fas fa-hourglass-start"></i>
                        {{localize "ARS.time.turn"}}
                    </div>
                </a>
                <a class="boxed time-hour1" data-tooltip="Advance time by hour">
                    <div class="time-type">
                        <i class="fas fa-hourglass-end"></i>
                        {{localize "ARS.time.hour"}}
                    </div>
                </a>
                <a class="boxed time-day1" data-tooltip="Advance time by day">
                    <div class="time-type">
                        <i class="fas fa-sun"></i>
                        {{localize "ARS.time.day"}}
                    </div>
                </a>
                <a class="boxed time-custom" data-tooltip="Advance time...">
                    <div class="time-type">
                        <i class="fas fa-clock"></i>
                        <div>{{localize "ARS.time.custom"}}</div>
                    </div>
                </a>
            </div>
        </nav>
        <nav style="padding-bottom: 1px;" class="party-commands misc general-header">
            <div class="flexrow">

                {{!-- launch party inventory --}}
                <a class="boxed btn-launch-party-inventory" data-tooltip="Launch Party Inventory">
                    <div class="time-type">
                        <i class="fas fa-suitcase"></i>
                        Inv
                    </div>
                </a>
                <a class="boxed btn-awards" data-tooltip="View a detailed breakdown of all Awards">
                    <div class="time-type">
                        <i class="fas fa-trophy"></i>
                        Awards
                    </div>
                </a>
                <a class="boxed btn-rolls" data-tooltip="Launch Requested Rolls">
                    <div class="time-type">
                        <i class="fas fa-dice-d20"></i>
                        Rolls
                    </div>
                </a>
                <a class="boxed btn-parcels" data-tooltip="" style="pointer-events: none !important;">
                    <div class="time-type">
                        {{!-- <i class="fas fa-suitcase"></i>
                        Parcels --}}
                    </div>
                </a>
                <a class="boxed btn-stats" data-tooltip="" style="pointer-events: none !important;">
                    <div class="time-type">
                        {{!-- <i class="fas fa-th-list"></i>
                        Stats --}}
                    </div>
                </a>
                <a class="boxed" data-tooltip="" style="pointer-events: none !important;">
                    <div class="time-type">
                        <i class=""></i>
                    </div>
                </a>
            </div>
        </nav>
        <div class="party-members">
            <nav class="members-header general-header flexrow">
                <div style="flex-grow: 1;">
                    {{localize "ARS.party.members"}}
                </div>
                <div class="member-top-controls member-stats-toggle" data-tooltip="Show More Stats">
                    <div>
                        <a><i class="fa-thin fa-chart-simple"></i></a>
                    </div>
                    <div> {{localize "ARS.stats"}}</div>
                </div>
                <div class="member-top-controls member-add" style="margin-right: 0px;" data-tooltip="Add member to party">
                    <div style="margin-top: 2px;">
                        <a><i class="fas fa-plus" style="margin-right: 5px;"></i></a>
                    </div>
                    <div> {{localize "ARS.add"}}</div>
                </div>
            </nav>
            <nav class="list flexcol">
                {{> "systems/ars/templates/sidebar/party-sheet-cards.hbs" members=members }}
            </nav>

            {{!-- <div style="margin-top: 10px; margin-left: 4px;">
                <a class="btn-launch-party-inventory">
                    <i class="fas fa-suitcase" style="margin-right: 5px;"></i>Party Inventory
                </a>
            </div> --}}
        </div>
        <br>

        <div class="party-awards">
            <nav class="general-header flexrow">
                <div>{{localize "ARS.party.awards"}}</div>
                <div class="control">
                    <a class="award-create" data-tooltip="Add party experience award"><i class="fas fa-plus"></i></a>
                </div>
                <div class="control">
                    <a class="award-apply" data-tooltip="Grant all queued awards to current party members"><i class="fas fa-trophy"></i></a>
                </div>
            </nav>
            <nav class="list flexcol">
                {{#if awards.length}}
                <div class="general-subheader award-titles">
                    <li class="flexrow">
                        <div class="award-xp">XP</div>
                        <div class="text-trunc">{{localize "ARS.party.description"}}</div>
                        <div style="flex: 0 0 100px; max-width: 100px;">{{localize "ARS.party.destination"}}</div>
                        <div class="control"></div>
                    </li>
                </div>
                {{/if}}
                {{#each awards as |award index|}}
                <li class="flexrow" data-index="{{index}}">
                    <div>
                        <input class="award-xp" type="number" value="{{award.xp}}" data-dtype="Number" />
                    </div>
                    <div class="text-trunc">
                        <input class="award-text" type="text" value="{{award.text}}" placeholder="Award description" />
                    </div>
                    <div style="flex: 0 0 100px; max-width: 100px;">
                        <select class="award-destination">

                            <option value="">{{localize "ARS.party.party"}}</option>
                            {{selectOptions ../members selected=targetId valueAttr="id" labelAttr="name" localize=true}}
                        </select>
                    </div>
                    <div class="control">
                        <a class="award-delete" data-tooltip="Delete award"><i class="fas fa-minus"></i></a>
                    </div>
                </li>
                {{/each}}
            </nav>
        </div>

        {{!-- look: disable this only when the log app is 100% complete - i need instant re-render of logs when things are added/changed in the
        sidebar --}}
        <div class="party-logs">
            <nav class="general-header flexrow">
                <div>{{localize "ARS.party.logs"}}</div>
                <div class="control">
                    <a class="logs-purge" data-tooltip="Purge all log entries"><i class="fas fa-trash"></i></a>
                </div>
            </nav>
            <nav class="list flexcol">
                {{#each logs as |log index|}}
                <span data-index="{{index}}">
                    <div class="log">
                        <div class="date">[{{log.date}}]</div>{{log.text}}
                    </div>
                </span>
                {{/each}}
            </nav>
        </div>

    </div>

    <footer class="directory-footer"></footer>
</section>